cURL
curl --request GET \
--url https://app-api.aide.app/v1/analytics/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/analytics/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/analytics/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/analytics/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/analytics/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "analytics_overview",
"topics": [
{
"name": "<string>",
"id": "<string>",
"deploy": "fully_agentic",
"conversations": {
"value": 123,
"previous": 123
},
"layers": {
"eligible": 123,
"confirmed": 123,
"assumed": 123,
"reopened": 123,
"decided": 123,
"previousRate": 123
},
"handoffShare": 123,
"underConfidenceShare": 123,
"series": [
123
]
}
],
"until": "<string>",
"from": "<string>",
"timezone": "<string>",
"channels": [
{
"name": "<string>",
"slug": "<string>",
"conversations": {
"value": 123,
"previous": 123
},
"series": [
123
],
"aideAnswered": 123,
"aideAnsweredIsProxy": true,
"handedOff": 123,
"resolutionRate": 123
}
],
"previousFrom": "<string>",
"previousUntil": "<string>",
"asOf": "<string>",
"seasonalBaseline": true,
"eligible": {
"value": 123,
"previous": 123
},
"volumeByDay": [
{
"value": 123,
"date": "<string>",
"aiHandled": 123
}
],
"resolution": {
"eligible": 123,
"confirmed": 123,
"assumed": 123,
"reopened": 123,
"decided": 123,
"previousRate": 123
},
"metrics": {
"ai_resolution_rate": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"not_reopened": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"automation_rate": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"topic_detected": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"handoff_share": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"not_routed": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_first_response_aide": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_first_response_human": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_human_after_handoff": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_time_to_resolution": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"csat_aide": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"csat_human": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"verified_by_team": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"billable_conversations": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
}
},
"automation": {
"full": 123,
"partial": 123
},
"handoffReasons": [
{
"count": 123,
"reason": "customer_asked"
}
],
"handoffReasonsByDay": [
{
"date": "<string>",
"reasons": {
"manual": 123,
"customer_asked": 123,
"low_confidence": 123,
"guardrail": 123,
"missing_data": 123,
"policy": 123,
"unspecified": 123
}
}
],
"handoffReasonsByChannel": [
{
"name": "<string>",
"slug": "<string>",
"reasons": {
"manual": 123,
"customer_asked": 123,
"low_confidence": 123,
"guardrail": 123,
"missing_data": 123,
"policy": 123,
"unspecified": 123
}
}
],
"reviewedShare": 123,
"csatResponseRate": {
"aide": 123,
"human": 123
},
"sales": {
"viewThrough": {
"orders": {
"value": 123,
"previous": 123
},
"revenue": [
{
"value": 123,
"previous": 123,
"currency": "<string>"
}
]
},
"orders": {
"value": 123,
"previous": 123
},
"revenue": [
{
"value": 123,
"previous": 123,
"currency": "<string>"
}
]
},
"interactions": {
"manual": {
"value": 123,
"previous": 123
},
"automated": {
"value": 123,
"previous": 123
},
"byDay": [
{
"date": "<string>",
"manual": 123,
"automated": 123
}
]
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Analytics
Get v1analyticsoverview
GET
/
v1
/
analytics
/
overview
cURL
curl --request GET \
--url https://app-api.aide.app/v1/analytics/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/analytics/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/analytics/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/analytics/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/analytics/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "analytics_overview",
"topics": [
{
"name": "<string>",
"id": "<string>",
"deploy": "fully_agentic",
"conversations": {
"value": 123,
"previous": 123
},
"layers": {
"eligible": 123,
"confirmed": 123,
"assumed": 123,
"reopened": 123,
"decided": 123,
"previousRate": 123
},
"handoffShare": 123,
"underConfidenceShare": 123,
"series": [
123
]
}
],
"until": "<string>",
"from": "<string>",
"timezone": "<string>",
"channels": [
{
"name": "<string>",
"slug": "<string>",
"conversations": {
"value": 123,
"previous": 123
},
"series": [
123
],
"aideAnswered": 123,
"aideAnsweredIsProxy": true,
"handedOff": 123,
"resolutionRate": 123
}
],
"previousFrom": "<string>",
"previousUntil": "<string>",
"asOf": "<string>",
"seasonalBaseline": true,
"eligible": {
"value": 123,
"previous": 123
},
"volumeByDay": [
{
"value": 123,
"date": "<string>",
"aiHandled": 123
}
],
"resolution": {
"eligible": 123,
"confirmed": 123,
"assumed": 123,
"reopened": 123,
"decided": 123,
"previousRate": 123
},
"metrics": {
"ai_resolution_rate": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"not_reopened": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"automation_rate": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"topic_detected": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"handoff_share": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"not_routed": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_first_response_aide": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_first_response_human": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_human_after_handoff": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"median_time_to_resolution": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"csat_aide": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"csat_human": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"verified_by_team": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
},
"billable_conversations": {
"n": 123,
"value": 123,
"previous": 123,
"series": [
123
]
}
},
"automation": {
"full": 123,
"partial": 123
},
"handoffReasons": [
{
"count": 123,
"reason": "customer_asked"
}
],
"handoffReasonsByDay": [
{
"date": "<string>",
"reasons": {
"manual": 123,
"customer_asked": 123,
"low_confidence": 123,
"guardrail": 123,
"missing_data": 123,
"policy": 123,
"unspecified": 123
}
}
],
"handoffReasonsByChannel": [
{
"name": "<string>",
"slug": "<string>",
"reasons": {
"manual": 123,
"customer_asked": 123,
"low_confidence": 123,
"guardrail": 123,
"missing_data": 123,
"policy": 123,
"unspecified": 123
}
}
],
"reviewedShare": 123,
"csatResponseRate": {
"aide": 123,
"human": 123
},
"sales": {
"viewThrough": {
"orders": {
"value": 123,
"previous": 123
},
"revenue": [
{
"value": 123,
"previous": 123,
"currency": "<string>"
}
]
},
"orders": {
"value": 123,
"previous": 123
},
"revenue": [
{
"value": 123,
"previous": 123,
"currency": "<string>"
}
]
},
"interactions": {
"manual": {
"value": 123,
"previous": 123
},
"automated": {
"value": 123,
"previous": 123
},
"byDay": [
{
"date": "<string>",
"manual": 123,
"automated": 123
}
]
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
accessTokenapiKey
An access token, bound to one account.
Query Parameters
Required string length:
1 - 64Available options:
chat, gmail, zendesk, front, gorgias, messenger, instagram, whatsapp Maximum string length:
64Response
OK
Show child attributes
Show child attributes